### Class

# WPEWebExtension DOMNode

since: 1.1

#### Description

    class WPEWebExtension.DOMNode : WPEWebExtension.DOMObject
    {
      priv: WebKitDOMNodePrivate*
    }

No description available.

Available since: 1.1

#### Ancestors

- WebKitDOMObject
- GObject

#### Descendants

- WebKitDOMDocument
- WebKitDOMElement

#### Functions

###### webkit_dom_node_for_js_value

Get the `WebKitDOMNode` for the DOM node referenced by `value`.

deprecated: 2.40 since: 2.22

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WPEWebExtensionDOMNodeClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`
  No description available.